<?php
if ( post_password_required() ) {
	return;
}?>

<div id="comments" class="comments-area"><?php
	if ( have_comments() ) : ?>

	    <h3><?php comments_number(esc_html__('No Comments','kudil'), esc_html__('Comments ( 1 )','kudil'), esc_html__('Comments ( % )','kudil') );?></h3>

		<?php the_comments_navigation(); ?>

        <ul class="commentlist">
     		<?php wp_list_comments( array( 'avatar_size' => 80 ) ); ?>
        </ul>

        <?php the_comments_navigation();

    endif;

	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
        <p class="nocomments"><?php esc_html_e( 'Comments are closed.','kudil'); ?></p><?php
    endif;

	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

	$fields =  array(

	  'author' => '<p class="comment-form-author">' . '<span class="fa fa-user-o"></span><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' placeholder="' . esc_attr__( 'Name', 'kudil' ) . ( $req ? ' *' : '' ) . '" /></p>',

	  'email' => '<p class="comment-form-email">' . '<span class="fa fa-envelope-o"></span><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' placeholder="' . esc_attr__( 'Email Address', 'kudil' ) . ( $req ? ' *' : '' ) . '" /></p>',

	  'url' => '<p class="comment-form-url">' . '<span class="fa fa-external-link"></span><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" placeholder="' . esc_attr__( 'Website', 'kudil' ) . '" /></p>'
	);

	if( cs_get_option('privacy-commentform') == "true" ) {

		$content = do_shortcode( cs_get_option('privacy-commentform-msg') );

		$fields['comment-form-dt-privatepolicy'] = '<p class="comment-form-dt-privatepolicy">
			<input id="comment-form-dt-privatepolicy" name="comment-form-dt-privatepolicy" type="checkbox" value="yes">
			<label for="comment-form-dt-privatepolicy">'.$content.'</label> </p>';
	}

	$comment_field = '<p class="comment-form-comment textarea-field"><span class="fa fa-file-text-o"></span><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="' . esc_attr__('Enter Your Comments Here..', 'kudil') .'">' . '</textarea></p>';

	$comment_notes_before = '';

	$comment_notes_after = '<p class="comment-notes">' . esc_html__( 'Your email address will not be published. Required fields are marked *', 'kudil' ) . '</p>';

	$args = array(
		'fields' => $fields,
		'comment_field' => $comment_field,
		'comment_notes_before' => $comment_notes_before,
		'comment_notes_after' => $comment_notes_after
	);

    comment_form($args); ?></div><!-- .comments-area -->