<?php add_action( 'vc_before_init', 'dt_sc_reserve_form_vc_map' );
function dt_sc_reserve_form_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Reserve Form", 'designthemes-core' ),
		"base" => "dt_sc_reserve_form",
		"icon" => "dt_sc_reserve_form",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			// Action
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Action', 'designthemes-core' ),
				'param_name' => 'action',
				'description' => esc_html__( 'Enter the action URL.', 'designthemes-core' ),
				'admin_label' => true
			),

			// Res ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Restaurant ID', 'designthemes-core' ),
				'param_name' => 'restaurant_id',
				'description' => esc_html__( 'Enter the restaurant ID.', 'designthemes-core' ),
				'admin_label' => true
			),
			
			// Class
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Extra class name", 'designthemes-core' ),
      			"param_name" => "class",
      			'description' => esc_html__('Style particular element differently - add a class name and refer to it in custom CSS','designthemes-core')
      		)
		)
	) );
}?>