<?php add_action( 'vc_before_init', 'dt_sc_border_image_vc_map' );
function dt_sc_border_image_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Border Image", 'designthemes-core' ),
		"base" => "dt_sc_border_image",
		"icon" => "dt_sc_border_image",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			# Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image','designthemes-core'),
				'param_name' => 'image'
            ),

      		# Class
      		array(
				"type" => "textfield",
      			"heading" => esc_html__( "Extra class name", 'designthemes-core' ),
      			"param_name" => "class",
      			'description' => esc_html__('Style particular icon box element differently - add a class name and refer to it in custom CSS','designthemes-core')
      		),      		
		)
	) );
}?>